View Issue Details

IDProjectCategoryLast Update
0023484AI War 2[All Projects] Crash/ExceptionJul 30, 2020 12:36 pm
ReporterChuito12Assigned ToBadgerBadger 
Severityminor 
Status resolvedResolutionfixed 
Product Version2.106 Immortals and Unresponsiveness 
Fixed in Version2.111 Initial Steam Connection 
Summary0023484: Mousing over a Spire Relic gives an Error pop up about Tooltip
DescriptionDestroyed an Ai fortress that was made from a relic or something like that and after the relic spawned it started moving a bit and gives me an error exception message whenever I mouse over and try to click on it.
It's a spire campaign quickstart, here I gave the Debug log that the error window opens and the saves from the campaign folder.
Tagstooltip

Activities

Chuito12

Jul 29, 2020 9:52 pm

reporter  

Autosave.6240.bak (320,850 bytes)
Autosave.18720.savemet (93 bytes)
Autosave.18720.save (552,192 bytes)
Autosave.8640.bak (364,054 bytes)
buggy relic.save (559,911 bytes)
ArcenDebugLog.txt (40,836 bytes)
7/29/2020 9:51:50 PM
Exception in entity tooltip text generation at stage 5000:System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.SpireRelicDescriptionAppender.AddToDescriptionBuffer (Arcen.AIW2.Core.GameEntity_Squad RelatedEntityOrNull, Arcen.AIW2.Core.GameEntityTypeData RelatedEntityTypeData, Arcen.Universal.ArcenDoubleCharacterBuffer Buffer) [0x00032] in <c2f9905070f74d988c861e63f5c53a71>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.GameEntity_Base EntityBase, Arcen.AIW2.Core.Fleet+Membership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailsInfo DetailsType) [0x09d4d] in <c2f9905070f74d988c861e63f5c53a71>:0 

  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.GameEntity_Base EntityBase, Arcen.AIW2.Core.Fleet+Membership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailsInfo DetailsType) [0x00000] in <c2f9905070f74d988c861e63f5c53a71>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo+bPanel.GetTextToRender (Arcen.Universal.ArcenDoubleCharacterBuffer buffer) [0x00000] in <c2f9905070f74d988c861e63f5c53a71>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo+bPanel.UpdateContentFromVolatile (Arcen.Universal.ArcenUIWrapperedUnityImage Image, Arcen.Universal.ArcenUI_Image+SubImageGroup _SubImages, Arcen.Universal.SubTextGroup _SubTexts) [0x00000] in <c2f9905070f74d988c861e63f5c53a71>:0 
  at Arcen.Universal.ArcenUI_ImageButton.OnUpdateVolatileDataFromMainThread () [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.ArcenUI_Window.OnUpdateVolatileDataFromMainThread () [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.ArcenUI.OnUpdateVolatileDataFromMainThread () [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.AIW2.Core.ArcenGameControllerBase.BaseUpdate () [0x00000] in <fe0f0d7a0fa24ed4b337bb532fde2aed>:0 
  at ArcenGameController.Update () [0x00000] in <342846c60ad043638e2ec80b42611e65>:0 

7/29/2020 9:51:50 PM
Exception in entity tooltip text generation at stage 5000:System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.SpireRelicDescriptionAppender.AddToDescriptionBuffer (Arcen.AIW2.Core.GameEntity_Squad RelatedEntityOrNull, Arcen.AIW2.Core.GameEntityTypeData RelatedEntityTypeData, Arcen.Universal.ArcenDoubleCharacterBuffer Buffer) [0x00032] in <c2f9905070f74d988c861e63f5c53a71>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.GameEntity_Base EntityBase, Arcen.AIW2.Core.Fleet+Membership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailsInfo DetailsType) [0x09d4d] in <c2f9905070f74d988c861e63f5c53a71>:0 

  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.GameEntity_Base EntityBase, Arcen.AIW2.Core.Fleet+Membership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailsInfo DetailsType) [0x00000] in <c2f9905070f74d988c861e63f5c53a71>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo+bPanel.GetTextToRender (Arcen.Universal.ArcenDoubleCharacterBuffer buffer) [0x00000] in <c2f9905070f74d988c861e63f5c53a71>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo+bPanel.UpdateContentFromVolatile (Arcen.Universal.ArcenUIWrapperedUnityImage Image, Arcen.Universal.ArcenUI_Image+SubImageGroup _SubImages, Arcen.Universal.SubTextGroup _SubTexts) [0x00000] in <c2f9905070f74d988c861e63f5c53a71>:0 
  at Arcen.Universal.ArcenUI_ImageButton.OnUpdateVolatileDataFromMainThread () [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.ArcenUI_Window.OnUpdateVolatileDataFromMainThread () [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.ArcenUI.OnUpdateVolatileDataFromMainThread () [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.AIW2.Core.ArcenGameControllerBase.BaseUpdate () [0x00000] in <fe0f0d7a0fa24ed4b337bb532fde2aed>:0 
  at ArcenGameController.Update () [0x00000] in <342846c60ad043638e2ec80b42611e65>:0 

7/29/2020 9:51:50 PM
Exception in entity tooltip text generation at stage 5000:System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.SpireRelicDescriptionAppender.AddToDescriptionBuffer (Arcen.AIW2.Core.GameEntity_Squad RelatedEntityOrNull, Arcen.AIW2.Core.GameEntityTypeData RelatedEntityTypeData, Arcen.Universal.ArcenDoubleCharacterBuffer Buffer) [0x00032] in <c2f9905070f74d988c861e63f5c53a71>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.GameEntity_Base EntityBase, Arcen.AIW2.Core.Fleet+Membership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailsInfo DetailsType) [0x09d4d] in <c2f9905070f74d988c861e63f5c53a71>:0 

  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.GameEntity_Base EntityBase, Arcen.AIW2.Core.Fleet+Membership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailsInfo DetailsType) [0x00000] in <c2f9905070f74d988c861e63f5c53a71>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo+bPanel.GetTextToRender (Arcen.Universal.ArcenDoubleCharacterBuffer buffer) [0x00000] in <c2f9905070f74d988c861e63f5c53a71>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo+bPanel.UpdateContentFromVolatile (Arcen.Universal.ArcenUIWrapperedUnityImage Image, Arcen.Universal.ArcenUI_Image+SubImageGroup _SubImages, Arcen.Universal.SubTextGroup _SubTexts) [0x00000] in <c2f9905070f74d988c861e63f5c53a71>:0 
  at Arcen.Universal.ArcenUI_ImageButton.OnUpdateVolatileDataFromMainThread () [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.ArcenUI_Window.OnUpdateVolatileDataFromMainThread () [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.ArcenUI.OnUpdateVolatileDataFromMainThread () [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.AIW2.Core.ArcenGameControllerBase.BaseUpdate () [0x00000] in <fe0f0d7a0fa24ed4b337bb532fde2aed>:0 
  at ArcenGameController.Update () [0x00000] in <342846c60ad043638e2ec80b42611e65>:0 

7/29/2020 9:51:50 PM
Exception in entity tooltip text generation at stage 5000:System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.SpireRelicDescriptionAppender.AddToDescriptionBuffer (Arcen.AIW2.Core.GameEntity_Squad RelatedEntityOrNull, Arcen.AIW2.Core.GameEntityTypeData RelatedEntityTypeData, Arcen.Universal.ArcenDoubleCharacterBuffer Buffer) [0x00032] in <c2f9905070f74d988c861e63f5c53a71>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.GameEntity_Base EntityBase, Arcen.AIW2.Core.Fleet+Membership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailsInfo DetailsType) [0x09d4d] in <c2f9905070f74d988c861e63f5c53a71>:0 

  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.GameEntity_Base EntityBase, Arcen.AIW2.Core.Fleet+Membership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailsInfo DetailsType) [0x00000] in <c2f9905070f74d988c861e63f5c53a71>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo+bPanel.GetTextToRender (Arcen.Universal.ArcenDoubleCharacterBuffer buffer) [0x00000] in <c2f9905070f74d988c861e63f5c53a71>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo+bPanel.UpdateContentFromVolatile (Arcen.Universal.ArcenUIWrapperedUnityImage Image, Arcen.Universal.ArcenUI_Image+SubImageGroup _SubImages, Arcen.Universal.SubTextGroup _SubTexts) [0x00000] in <c2f9905070f74d988c861e63f5c53a71>:0 
  at Arcen.Universal.ArcenUI_ImageButton.OnUpdateVolatileDataFromMainThread () [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.ArcenUI_Window.OnUpdateVolatileDataFromMainThread () [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.ArcenUI.OnUpdateVolatileDataFromMainThread () [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.AIW2.Core.ArcenGameControllerBase.BaseUpdate () [0x00000] in <fe0f0d7a0fa24ed4b337bb532fde2aed>:0 
  at ArcenGameController.Update () [0x00000] in <342846c60ad043638e2ec80b42611e65>:0 

7/29/2020 9:51:50 PM
Exception in entity tooltip text generation at stage 5000:System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.SpireRelicDescriptionAppender.AddToDescriptionBuffer (Arcen.AIW2.Core.GameEntity_Squad RelatedEntityOrNull, Arcen.AIW2.Core.GameEntityTypeData RelatedEntityTypeData, Arcen.Universal.ArcenDoubleCharacterBuffer Buffer) [0x00032] in <c2f9905070f74d988c861e63f5c53a71>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.GameEntity_Base EntityBase, Arcen.AIW2.Core.Fleet+Membership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailsInfo DetailsType) [0x09d4d] in <c2f9905070f74d988c861e63f5c53a71>:0 

  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.GameEntity_Base EntityBase, Arcen.AIW2.Core.Fleet+Membership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailsInfo DetailsType) [0x00000] in <c2f9905070f74d988c861e63f5c53a71>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo+bPanel.GetTextToRender (Arcen.Universal.ArcenDoubleCharacterBuffer buffer) [0x00000] in <c2f9905070f74d988c861e63f5c53a71>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo+bPanel.UpdateContentFromVolatile (Arcen.Universal.ArcenUIWrapperedUnityImage Image, Arcen.Universal.ArcenUI_Image+SubImageGroup _SubImages, Arcen.Universal.SubTextGroup _SubTexts) [0x00000] in <c2f9905070f74d988c861e63f5c53a71>:0 
  at Arcen.Universal.ArcenUI_ImageButton.OnUpdateVolatileDataFromMainThread () [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.ArcenUI_Window.OnUpdateVolatileDataFromMainThread () [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.ArcenUI.OnUpdateVolatileDataFromMainThread () [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.AIW2.Core.ArcenGameControllerBase.BaseUpdate () [0x00000] in <fe0f0d7a0fa24ed4b337bb532fde2aed>:0 
  at ArcenGameController.Update () [0x00000] in <342846c60ad043638e2ec80b42611e65>:0 

7/29/2020 9:51:50 PM
Exception in entity tooltip text generation at stage 5000:System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.SpireRelicDescriptionAppender.AddToDescriptionBuffer (Arcen.AIW2.Core.GameEntity_Squad RelatedEntityOrNull, Arcen.AIW2.Core.GameEntityTypeData RelatedEntityTypeData, Arcen.Universal.ArcenDoubleCharacterBuffer Buffer) [0x00032] in <c2f9905070f74d988c861e63f5c53a71>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.GameEntity_Base EntityBase, Arcen.AIW2.Core.Fleet+Membership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailsInfo DetailsType) [0x09d4d] in <c2f9905070f74d988c861e63f5c53a71>:0 

  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.GameEntity_Base EntityBase, Arcen.AIW2.Core.Fleet+Membership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailsInfo DetailsType) [0x00000] in <c2f9905070f74d988c861e63f5c53a71>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo+bPanel.GetTextToRender (Arcen.Universal.ArcenDoubleCharacterBuffer buffer) [0x00000] in <c2f9905070f74d988c861e63f5c53a71>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo+bPanel.UpdateContentFromVolatile (Arcen.Universal.ArcenUIWrapperedUnityImage Image, Arcen.Universal.ArcenUI_Image+SubImageGroup _SubImages, Arcen.Universal.SubTextGroup _SubTexts) [0x00000] in <c2f9905070f74d988c861e63f5c53a71>:0 
  at Arcen.Universal.ArcenUI_ImageButton.OnUpdateVolatileDataFromMainThread () [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.ArcenUI_Window.OnUpdateVolatileDataFromMainThread () [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.ArcenUI.OnUpdateVolatileDataFromMainThread () [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.AIW2.Core.ArcenGameControllerBase.BaseUpdate () [0x00000] in <fe0f0d7a0fa24ed4b337bb532fde2aed>:0 
  at ArcenGameController.Update () [0x00000] in <342846c60ad043638e2ec80b42611e65>:0 

7/29/2020 9:51:50 PM
Exception in entity tooltip text generation at stage 5000:System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.SpireRelicDescriptionAppender.AddToDescriptionBuffer (Arcen.AIW2.Core.GameEntity_Squad RelatedEntityOrNull, Arcen.AIW2.Core.GameEntityTypeData RelatedEntityTypeData, Arcen.Universal.ArcenDoubleCharacterBuffer Buffer) [0x00032] in <c2f9905070f74d988c861e63f5c53a71>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.GameEntity_Base EntityBase, Arcen.AIW2.Core.Fleet+Membership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailsInfo DetailsType) [0x09d4d] in <c2f9905070f74d988c861e63f5c53a71>:0 

  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.GameEntity_Base EntityBase, Arcen.AIW2.Core.Fleet+Membership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailsInfo DetailsType) [0x00000] in <c2f9905070f74d988c861e63f5c53a71>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo+bPanel.GetTextToRender (Arcen.Universal.ArcenDoubleCharacterBuffer buffer) [0x00000] in <c2f9905070f74d988c861e63f5c53a71>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo+bPanel.UpdateContentFromVolatile (Arcen.Universal.ArcenUIWrapperedUnityImage Image, Arcen.Universal.ArcenUI_Image+SubImageGroup _SubImages, Arcen.Universal.SubTextGroup _SubTexts) [0x00000] in <c2f9905070f74d988c861e63f5c53a71>:0 
  at Arcen.Universal.ArcenUI_ImageButton.OnUpdateVolatileDataFromMainThread () [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.ArcenUI_Window.OnUpdateVolatileDataFromMainThread () [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.ArcenUI.OnUpdateVolatileDataFromMainThread () [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.AIW2.Core.ArcenGameControllerBase.BaseUpdate () [0x00000] in <fe0f0d7a0fa24ed4b337bb532fde2aed>:0 
  at ArcenGameController.Update () [0x00000] in <342846c60ad043638e2ec80b42611e65>:0 

7/29/2020 9:51:50 PM
Exception in entity tooltip text generation at stage 5000:System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.SpireRelicDescriptionAppender.AddToDescriptionBuffer (Arcen.AIW2.Core.GameEntity_Squad RelatedEntityOrNull, Arcen.AIW2.Core.GameEntityTypeData RelatedEntityTypeData, Arcen.Universal.ArcenDoubleCharacterBuffer Buffer) [0x00032] in <c2f9905070f74d988c861e63f5c53a71>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.GameEntity_Base EntityBase, Arcen.AIW2.Core.Fleet+Membership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailsInfo DetailsType) [0x09d4d] in <c2f9905070f74d988c861e63f5c53a71>:0 

  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.GameEntity_Base EntityBase, Arcen.AIW2.Core.Fleet+Membership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailsInfo DetailsType) [0x00000] in <c2f9905070f74d988c861e63f5c53a71>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo+bPanel.GetTextToRender (Arcen.Universal.ArcenDoubleCharacterBuffer buffer) [0x00000] in <c2f9905070f74d988c861e63f5c53a71>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo+bPanel.UpdateContentFromVolatile (Arcen.Universal.ArcenUIWrapperedUnityImage Image, Arcen.Universal.ArcenUI_Image+SubImageGroup _SubImages, Arcen.Universal.SubTextGroup _SubTexts) [0x00000] in <c2f9905070f74d988c861e63f5c53a71>:0 
  at Arcen.Universal.ArcenUI_ImageButton.OnUpdateVolatileDataFromMainThread () [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.ArcenUI_Window.OnUpdateVolatileDataFromMainThread () [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.ArcenUI.OnUpdateVolatileDataFromMainThread () [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.AIW2.Core.ArcenGameControllerBase.BaseUpdate () [0x00000] in <fe0f0d7a0fa24ed4b337bb532fde2aed>:0 
  at ArcenGameController.Update () [0x00000] in <342846c60ad043638e2ec80b42611e65>:0 

7/29/2020 9:51:50 PM
Exception in entity tooltip text generation at stage 5000:System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.SpireRelicDescriptionAppender.AddToDescriptionBuffer (Arcen.AIW2.Core.GameEntity_Squad RelatedEntityOrNull, Arcen.AIW2.Core.GameEntityTypeData RelatedEntityTypeData, Arcen.Universal.ArcenDoubleCharacterBuffer Buffer) [0x00032] in <c2f9905070f74d988c861e63f5c53a71>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.GameEntity_Base EntityBase, Arcen.AIW2.Core.Fleet+Membership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailsInfo DetailsType) [0x09d4d] in <c2f9905070f74d988c861e63f5c53a71>:0 

  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.GameEntity_Base EntityBase, Arcen.AIW2.Core.Fleet+Membership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailsInfo DetailsType) [0x00000] in <c2f9905070f74d988c861e63f5c53a71>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo+bPanel.GetTextToRender (Arcen.Universal.ArcenDoubleCharacterBuffer buffer) [0x00000] in <c2f9905070f74d988c861e63f5c53a71>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo+bPanel.UpdateContentFromVolatile (Arcen.Universal.ArcenUIWrapperedUnityImage Image, Arcen.Universal.ArcenUI_Image+SubImageGroup _SubImages, Arcen.Universal.SubTextGroup _SubTexts) [0x00000] in <c2f9905070f74d988c861e63f5c53a71>:0 
  at Arcen.Universal.ArcenUI_ImageButton.OnUpdateVolatileDataFromMainThread () [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.ArcenUI_Window.OnUpdateVolatileDataFromMainThread () [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.ArcenUI.OnUpdateVolatileDataFromMainThread () [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.AIW2.Core.ArcenGameControllerBase.BaseUpdate () [0x00000] in <fe0f0d7a0fa24ed4b337bb532fde2aed>:0 
  at ArcenGameController.Update () [0x00000] in <342846c60ad043638e2ec80b42611e65>:0 

7/29/2020 9:51:50 PM
Exception in entity tooltip text generation at stage 5000:System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.SpireRelicDescriptionAppender.AddToDescriptionBuffer (Arcen.AIW2.Core.GameEntity_Squad RelatedEntityOrNull, Arcen.AIW2.Core.GameEntityTypeData RelatedEntityTypeData, Arcen.Universal.ArcenDoubleCharacterBuffer Buffer) [0x00032] in <c2f9905070f74d988c861e63f5c53a71>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.GameEntity_Base EntityBase, Arcen.AIW2.Core.Fleet+Membership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailsInfo DetailsType) [0x09d4d] in <c2f9905070f74d988c861e63f5c53a71>:0 

  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.GameEntity_Base EntityBase, Arcen.AIW2.Core.Fleet+Membership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailsInfo DetailsType) [0x00000] in <c2f9905070f74d988c861e63f5c53a71>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo+bPanel.GetTextToRender (Arcen.Universal.ArcenDoubleCharacterBuffer buffer) [0x00000] in <c2f9905070f74d988c861e63f5c53a71>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo+bPanel.UpdateContentFromVolatile (Arcen.Universal.ArcenUIWrapperedUnityImage Image, Arcen.Universal.ArcenUI_Image+SubImageGroup _SubImages, Arcen.Universal.SubTextGroup _SubTexts) [0x00000] in <c2f9905070f74d988c861e63f5c53a71>:0 
  at Arcen.Universal.ArcenUI_ImageButton.OnUpdateVolatileDataFromMainThread () [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.ArcenUI_Window.OnUpdateVolatileDataFromMainThread () [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.ArcenUI.OnUpdateVolatileDataFromMainThread () [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.AIW2.Core.ArcenGameControllerBase.BaseUpdate () [0x00000] in <fe0f0d7a0fa24ed4b337bb532fde2aed>:0 
  at ArcenGameController.Update () [0x00000] in <342846c60ad043638e2ec80b42611e65>:0 

7/29/2020 9:51:50 PM
Exception in entity tooltip text generation at stage 5000:System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.SpireRelicDescriptionAppender.AddToDescriptionBuffer (Arcen.AIW2.Core.GameEntity_Squad RelatedEntityOrNull, Arcen.AIW2.Core.GameEntityTypeData RelatedEntityTypeData, Arcen.Universal.ArcenDoubleCharacterBuffer Buffer) [0x00032] in <c2f9905070f74d988c861e63f5c53a71>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.GameEntity_Base EntityBase, Arcen.AIW2.Core.Fleet+Membership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailsInfo DetailsType) [0x09d4d] in <c2f9905070f74d988c861e63f5c53a71>:0 

  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.GameEntity_Base EntityBase, Arcen.AIW2.Core.Fleet+Membership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailsInfo DetailsType) [0x00000] in <c2f9905070f74d988c861e63f5c53a71>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo+bPanel.GetTextToRender (Arcen.Universal.ArcenDoubleCharacterBuffer buffer) [0x00000] in <c2f9905070f74d988c861e63f5c53a71>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo+bPanel.UpdateContentFromVolatile (Arcen.Universal.ArcenUIWrapperedUnityImage Image, Arcen.Universal.ArcenUI_Image+SubImageGroup _SubImages, Arcen.Universal.SubTextGroup _SubTexts) [0x00000] in <c2f9905070f74d988c861e63f5c53a71>:0 
  at Arcen.Universal.ArcenUI_ImageButton.OnUpdateVolatileDataFromMainThread () [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.ArcenUI_Window.OnUpdateVolatileDataFromMainThread () [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.ArcenUI.OnUpdateVolatileDataFromMainThread () [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.AIW2.Core.ArcenGameControllerBase.BaseUpdate () [0x00000] in <fe0f0d7a0fa24ed4b337bb532fde2aed>:0 
  at ArcenGameController.Update () [0x00000] in <342846c60ad043638e2ec80b42611e65>:0 

7/29/2020 9:51:50 PM
Exception in entity tooltip text generation at stage 5000:System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.SpireRelicDescriptionAppender.AddToDescriptionBuffer (Arcen.AIW2.Core.GameEntity_Squad RelatedEntityOrNull, Arcen.AIW2.Core.GameEntityTypeData RelatedEntityTypeData, Arcen.Universal.ArcenDoubleCharacterBuffer Buffer) [0x00032] in <c2f9905070f74d988c861e63f5c53a71>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.GameEntity_Base EntityBase, Arcen.AIW2.Core.Fleet+Membership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailsInfo DetailsType) [0x09d4d] in <c2f9905070f74d988c861e63f5c53a71>:0 

  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo.GetTextForEntity (Arcen.Universal.ArcenDoubleCharacterBuffer buffer, Arcen.AIW2.Core.GameEntity_Base EntityBase, Arcen.AIW2.Core.Fleet+Membership MembershipBase, Arcen.AIW2.Core.GameEntityTypeData TypeDataOrNull, System.Int32 OptionalCountToShow, Arcen.AIW2.Core.Faction ForFactionOrNull, System.Byte OptionalForMarkLevel, Arcen.AIW2.Core.FromSidebarType IsFromSidebarType, Arcen.AIW2.External.ShipExtraDetailsInfo DetailsType) [0x00000] in <c2f9905070f74d988c861e63f5c53a71>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo+bPanel.GetTextToRender (Arcen.Universal.ArcenDoubleCharacterBuffer buffer) [0x00000] in <c2f9905070f74d988c861e63f5c53a71>:0 
  at Arcen.AIW2.External.Window_InGameHoverEntityInfo+bPanel.UpdateContentFromVolatile (Arcen.Universal.ArcenUIWrapperedUnityImage Image, Arcen.Universal.ArcenUI_Image+SubImageGroup _SubImages, Arcen.Universal.SubTextGroup _SubTexts) [0x00000] in <c2f9905070f74d988c861e63f5c53a71>:0 
  at Arcen.Universal.ArcenUI_ImageButton.OnUpdateVolatileDataFromMainThread () [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.ArcenUI_Window.OnUpdateVolatileDataFromMainThread () [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.ArcenUI.OnUpdateVolatileDataFromMainThread () [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.Universal.Engine_Universal.OnUpdateFromMainThread () [0x00000] in <64f1252239c149b8bcdf5055a8475357>:0 
  at Arcen.AIW2.Core.ArcenGameControllerBase.BaseUpdate () [0x00000] in <fe0f0d7a0fa24ed4b337bb532fde2aed>:0 
  at ArcenGameController.Update () [0x00000] in <342846c60ad043638e2ec80b42611e65>:0 

ArcenDebugLog.txt (40,836 bytes)
buggy relic.savemet (93 bytes)
Autosave.12000.bak (531,620 bytes)
Autosave.18240.savemet (93 bytes)
Autosave.16800.savemet (93 bytes)
Autosave.16800.save (460,522 bytes)
Autosave.14880.bak (521,182 bytes)
Autosave.18240.save (490,418 bytes)
Autosave.17280.save (474,020 bytes)
Autosave.17280.savemet (93 bytes)
Autosave.17760.savemet (93 bytes)
Autosave.17760.save (460,847 bytes)

BadgerBadger

Jul 30, 2020 12:54 am

manager   ~0057915

This is presumably f allout from my recent changes. Will investigate

BadgerBadger

Jul 30, 2020 12:36 pm

manager   ~0057920

Fixed in the next patch. Thanks for the bug report!

Issue History

Date Modified Username Field Change
Jul 29, 2020 9:50 pm Chuito12 New Issue
Jul 29, 2020 9:51 pm Chuito12 Tag Attached: tooltip
Jul 29, 2020 9:52 pm Chuito12 File Added: Autosave.12000.bak
Jul 29, 2020 9:52 pm Chuito12 File Added: Autosave.14880.bak
Jul 29, 2020 9:52 pm Chuito12 File Added: Autosave.16800.save
Jul 29, 2020 9:52 pm Chuito12 File Added: Autosave.16800.savemet
Jul 29, 2020 9:52 pm Chuito12 File Added: Autosave.17280.save
Jul 29, 2020 9:52 pm Chuito12 File Added: Autosave.17280.savemet
Jul 29, 2020 9:52 pm Chuito12 File Added: Autosave.17760.save
Jul 29, 2020 9:52 pm Chuito12 File Added: Autosave.17760.savemet
Jul 29, 2020 9:52 pm Chuito12 File Added: Autosave.18240.save
Jul 29, 2020 9:52 pm Chuito12 File Added: Autosave.18240.savemet
Jul 29, 2020 9:52 pm Chuito12 File Added: Autosave.18720.save
Jul 29, 2020 9:52 pm Chuito12 File Added: Autosave.18720.savemet
Jul 29, 2020 9:52 pm Chuito12 File Added: Autosave.6240.bak
Jul 29, 2020 9:52 pm Chuito12 File Added: Autosave.8640.bak
Jul 29, 2020 9:52 pm Chuito12 File Added: buggy relic.save
Jul 29, 2020 9:52 pm Chuito12 File Added: buggy relic.savemet
Jul 29, 2020 9:52 pm Chuito12 File Added: ArcenDebugLog.txt
Jul 30, 2020 12:54 am BadgerBadger Assigned To => BadgerBadger
Jul 30, 2020 12:54 am BadgerBadger Status new => assigned
Jul 30, 2020 12:54 am BadgerBadger Note Added: 0057915
Jul 30, 2020 12:36 pm BadgerBadger Status assigned => resolved
Jul 30, 2020 12:36 pm BadgerBadger Resolution open => fixed
Jul 30, 2020 12:36 pm BadgerBadger Fixed in Version => 2.111 Initial Steam Connection
Jul 30, 2020 12:36 pm BadgerBadger Note Added: 0057920